Loading...
Searching...
No Matches
Opm::satfunc::RawFunctionValues Struct Reference

Collection of unscaled/raw saturation function value range endpoints extracted directly from tables of tabulated saturation functions. More...

`#include <SatfuncPropertyInitializers.hpp>`

## Public Attributes

struct { |
std::vector< double > max |
| Maximum relative permeability value of oil in both oil/gas and oil/water two-phase systems. More...
std::vector< double > rg |
| Relative permeability of oil at critical saturation of displacing phase in oil/gas two-phase system. More...
std::vector< double > rw |
| Relative permeability of oil at critical saturation of displacing phase in oil/water two-phase system. More...
} | kro
| Function values for relative permeability of oil.
struct { |
std::vector< double > max |
| Maximum relative permeability value of gas. More...
std::vector< double > r |
| Relative permeability of gas at critical saturation of displacing phase. More...
} | krg
| Function values for relative permeability of gas.
struct { |
std::vector< double > max |
| Maximum relative permeability value of water. More...
std::vector< double > r |
| Relative permeability of water at critical saturation of displacing phase. More...
} | krw
| Function values for relative permeability of gas.
struct { |
std::vector< double > g |
| Maximum gas/oil capillary pressure value (Pg - Po). More...
std::vector< double > w |
| Maximum oil/eater capillary pressure value (Po - Pw). More...
} | pc
| Maximum capillary function values.

## Detailed Description

Collection of unscaled/raw saturation function value range endpoints extracted directly from tables of tabulated saturation functions.

## Member Data Documentation

## g

std::vector<double> Opm::satfunc::RawFunctionValues::g

Maximum gas/oil capillary pressure value (Pg - Po).

One value for each saturation region. All zero values unless both gas and oil are active phase.

## max

std::vector<double> Opm::satfunc::RawFunctionValues::max

Maximum relative permeability value of oil in both oil/gas and oil/water two-phase systems.

Maximum relative permeability value of water.

Maximum relative permeability value of gas.

One value for each saturation region. All zero values unless oil is an active phase.

One value for each saturation region. All zero values unless gas is an active phase.

One value for each saturation region. All zero values unless water is an active phase.

## r

std::vector<double> Opm::satfunc::RawFunctionValues::r

Relative permeability of gas at critical saturation of displacing phase.

Relative permeability of water at critical saturation of displacing phase.

One value for each saturation region. All zero values unless gas is an active phase.

One value for each saturation region. All zero values unless water is an active phase.

## rg

std::vector<double> Opm::satfunc::RawFunctionValues::rg

Relative permeability of oil at critical saturation of displacing phase in oil/gas two-phase system.

One value for each saturation region. All zero values unless oil is an active phase.

## rw

std::vector<double> Opm::satfunc::RawFunctionValues::rw

Relative permeability of oil at critical saturation of displacing phase in oil/water two-phase system.

One value for each saturation region. All zero values unless oil is an active phase.

## w

std::vector<double> Opm::satfunc::RawFunctionValues::w

Maximum oil/eater capillary pressure value (Po - Pw).

One value for each saturation region. All zero values unless both oil and water are active phase.

The documentation for this struct was generated from the following file:

- opm/input/eclipse/EclipseState/Grid/SatfuncPropertyInitializers.hpp